## org.eclipse.amp.axf.sd.model
Class AbstractStock

    java.lang.Object
      org.eclipse.amp.axf.sd.model.AbstractVariable
          org.eclipse.amp.axf.sd.model.AbstractStock

    public abstract class AbstractStock

extends AbstractVariable

Super class for all dynamic variables of the type "stock".

Author:
  fei

Constructor Summary
`AbstractStock()`

Method Summary
`protected double` `equation()`
`abstract double` `getInitialValue()`
`abstract double` `integral()`
`void` `startSimulation()` This method is called before the simulation starts.

Methods inherited from class org.eclipse.amp.axf.sd.model.AbstractVariable
`calculate, getCurrentTime, getIntegrationMethod, getParent, getSimResult, init, setCurrentTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractStock

    public AbstractStock()

Method Detail

### equation

    protected final double equation()

  Specified by:
    `equation` in class `AbstractVariable`
  Returns:
    the equation that calculates the value of this variable

### getInitialValue

    public abstract double getInitialValue()

### integral

    public abstract double integral()

### startSimulation

    public void startSimulation()

  Description copied from class: `AbstractVariable`
  This method is called before the simulation starts.

  Overrides:
    `startSimulation` in class `AbstractVariable`